Bug 16249 - Zebra-specific tests should pass with ES disabled
Summary: Zebra-specific tests should pass with ES disabled
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Tomás Cohen Arazi
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 12478
  Show dependency treegraph
 
Reported: 2016-04-12 18:28 UTC by Tomás Cohen Arazi
Modified: 2016-12-05 21:23 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16249: Zebra-specific tests should pass with ES disabled (1.37 KB, patch)
2016-04-12 18:30 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 16249: Zebra-specific tests should pass with ES disabled (1.42 KB, patch)
2016-04-12 21:08 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 16249: Zebra-specific tests should pass with ES disabled (1.49 KB, patch)
2016-04-26 21:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 16469 - Remove the use of "onclick" from some catalog pages (4.27 KB, patch)
2016-05-06 16:45 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-04-12 18:28:13 UTC
To reproduce:
- On top of bug 12478 branch, run
  $ prove t/db_dependent/Search.t
=> FAIL: Tests fail
Comment 1 Tomás Cohen Arazi 2016-04-12 18:30:43 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2016-04-12 21:08:28 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-04-26 21:19:35 UTC
Created attachment 50762 [details] [review]
[PASSED QA] Bug 16249: Zebra-specific tests should pass with ES disabled

This patch makes the t/db_dependent/Search.t tests correctly set
'Zebra' for the 'SearchEngine' syspref.

To test:
- On top of bug 12478 branch, run
  $ prove t/db_dependent/Search.t
=> FAIL: Tests fail
- Apply the patch
- Run:
  $ prove t/db_dependent/Search.t
=> SUCCESS: Tests now pass.

Signed-off-by: Chris <chrisc@catalyst.net.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Brendan Gallagher 2016-04-26 21:21:01 UTC
Pushed to Master - Should be in the May 2016 Release.  Thanks!
Comment 5 Owen Leonard 2016-05-06 16:45:33 UTC Comment hidden (obsolete)
Comment 6 Owen Leonard 2016-05-06 16:46:46 UTC
Comment on attachment 51297 [details] [review]
Bug 16469 - Remove the use of "onclick" from some catalog pages

Sorry, git-bz typo.
Comment 7 Julian Maurice 2016-05-16 08:05:24 UTC
Not needed in stable versions, status changed to RESOLVED